function E0090()
    MNA()CMU("CS_Marine")FAI(0)
end
function E0091()
    MNA()CMU("CS_Marine")FAI(1)
end
function E0092()
    MNA()CMU("CS_Marine")FAI(2)
end
function E0093()
    MNA()CMU("CS_Marine")FAI(3)
end
function E0094()
    MNA()CMU("CS_Marine")FAI(4)
end

function GoReal()
    MNA()CMU("CS_Marine")FAI(4)
    WAI(16)
    KEY()
    MS4("\nYou feel dizzy...")NOD()
end

function GoDarkPath()
    PRI()FAO(0)TRA("CS_darkpath","E0090",30,6)
end

function ChaosDoor1_Real()
    KEY()
    MS4("\nDo you really want to go in?")YNJ()
    if(YES()) then
        CLO()
        local x = math.random(6,33);
        PRI()FAO(4)TRA("CS_chaos_crossroads","GoReal",x,14)
    end
end

function ChaosDoor2_Real()
    KEY()
    MS4("\nDo you really want to go in?")YNJ()
    if(YES()) then
        CLO()
        local x = math.random(6,33);
        PRI()FAO(4)TRA("CS_chaos_crossroads","GoReal",x,17)
    end
end

function ChaosDoor3_Real()
    KEY()
    MS4("\nDo you really want to go in?")YNJ()
    if(YES()) then
        CLO()
        --转到咪咪卡村的画面
        PRI()
        PMU(1)
        FAO(4)
        MS3("\nMeanwhile...")NOD()CLO()
        TRA("CS_village","SoapComing",54,8)
    end
end

function ChaosDoor_Fake()
    KEY()
    MS4("\nDo you really want to go in?")YNJ()
    if(YES()) then
        CLO()
        PRI()FAO(4)TRA("CS_abyss","E0090",20,4)
    end
end

function Sign()
    PRI()
    TUR()MS4("This chaotic crossroads can take you")
    CAT("\nnear the place you wish to go.")NOD()CLR()
    CAT("But only one path is real,")
    CAT("\ndeath awaits those who choose wrong.")NOD()CLR()
    CAT("The crossroads seem to be under")
    CAT("\nsome magical influence,")
    CAT("\nrandomly shifting and changing.")NOD()
end
